=== debian/changelog ===
x2goserver (4.1.0.0-3) unstable; urgency=medium

  * debian/rules:
    + Ignore chmod failures when adapting x-bits in /usr/lib/x2go/*. Fixes FTBFS
      for binary-all build target. (Closes: #891296).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Feb 2018 14:41:16 +0100

x2goserver (4.1.0.0-2) unstable; urgency=medium

  * Making piuparts happy... (hopefully!).

  * debian/x2goserver-common.dirs:
    + Make sure /var/lib/x2go is part of the package. (Closes: #891276).
  * debian/x2goserver.dirs:
    + Drop file, don't artificially let x2goserver own directories.
  * debian/x2goserver-printing.dirs:
    + Only list the spooldir.
  * debian/x2goserver-common.postrm:
    + Properly purge /etc/x2go and /var/lib/x2go.
  * debian/x2goserver.postrm:
    + Don't touch /etc/x2go, it is part of x2goserver-common since 4.1.0.0.
  * debian/libx2go-server-db-perl.postrm:
    + Only remove files this bin:pkg creates.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2018 02:57:51 +0100

x2goserver (4.1.0.0-1) unstable; urgency=medium

  * New upstream release. Upload to unstable.
  * debian/:
    + Adapt to major changes in X2Go Server 4.1.0.0 (compared to 4.0.1.x).
  * debian/patches:
    + Drop all patches, not required for 4.1.0.0 anymore.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + debian/control: Slightly reduced versioned D (x2goserver-x2goagent) on
      nxagent (>= 3.5.99.13~).
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/copyright:
    + Update copyright attributions.
    + Regenerate copyright.in reference template. It is flawed for 4.1.0.0.
      Fixes to license headers committed for 4.1.0.1 upstream.
  * debian/x2goserver.config:
    + Show 4.1.0.0 warning when upgrading x2goserver bin:pkg.
  * debian/templates:
    + Add warning about changes in 4.1.0.0.
  * debian/po/:
    + Update de translation, add da, fi and tr translations.
  * debian/x2goserver.init:
    + Slight typo fix.
  * debian/x2goserver-printing.postinst:
    + Make sure /var/spool/x2goprint is always created.
  * debian/x2goserver-xsession.lintian-overrides:
    + Silent lintian about symlinks pointing to package files from X.org.
  * debian/x2goserver.service:
    + Support x2gocleansessions being started via systemd unit file.
  * debian/*: Process with wrap-and-sort -a -s -t -k -b.
  * debian/rules: Fine-tune upstream's install target.
    + Move tmpfiles.d/x2goserver.conf from /etc/ to /usr/lib/
    + Remove x2goagent's rgb files. Deprecated in nx-libs these days.
    + sshfs-x2go.xml MIME package file should not be executable.
  * debian/*.install:
    + Utilize upstream's install target rather than picking all files from the
      source tree all ourselves.
  * debian/*.manpages:
    + Most manpages files are obsolete now (except x2goserver.manpages which
      pulls in our version of x2gocleansession.8).
  * Drop inert file (due to wrong file suffix): debian/x2goserver.link.
  * debian/x2goserver-xsession.links:
    + Drop file. Symlinking provided by upstream's install target.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Feb 2018 23:09:40 +0100

x2goserver (4.0.1.22-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_dont-set-LD-LIBRARY-PATH-with-nx-36.patch. Applied upstream.
    + Drop 1002_backport-x2golistshadowsessions.patch. Accepted upstream.
    + Drop 1003_fix-implicit-decl-execv.patch. Accepted upstream.
    + Drop 1004_dbus-run-session-every-desktop-session.patch. Similar patch
      applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Use secure URL for obtaining upstream's orig tarball.
  * debian/control:
    + Update versioned dependency on nxagent and B:/R: relations to X2Go
      upstream packages, we want to remove when official Debian packages
      get installed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Dec 2017 22:54:33 +0100

x2goserver (4.0.1.20-13) experimental; urgency=medium

  * debian/patches:
    + Update 1004_dbus-run-session-every-desktop-session.patch. Of course,
      use dbus-run-session instead of dbus-launch. Thanks to feedback on
      #debian-systemd IRC from various people.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Oct 2017 08:53:23 +0200

x2goserver (4.0.1.20-12) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Sync with the
      upstream backport. Add missing function get_agent_state().

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 09:58:00 +0200

x2goserver (4.0.1.20-11) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Add missing function
      exports and missing helper function.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 01:42:28 +0200

x2goserver (4.0.1.20-10) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Add missing database
      function.
    + Add 1004_dbus-launch-every-desktop-session.patch. An X2Go Session really
      needs to be isolated from user DBus.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 01:10:58 +0200

x2goserver (4.0.1.20-9) experimental; urgency=medium

  * debian/control:
    + Avoid circular dependency between x2goserver and x2goserver-xsession.
      Thanks to Unit193 for pointing that out.
  * debian/x2goserver-x2goagent.install:
    + Include /etc files into bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Oct 2017 09:33:50 +0200

x2goserver (4.0.1.20-8) experimental; urgency=medium

  * debian/control:
    + Promote x2goserver-xsession to Depends:. Avoid unnecessary bug reports
      by demanding presence of X2Go's Xsession implementation.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Sep 2017 13:36:20 +0200


